.\$Id: mssync.man,v 1.1 1999/04/04 15:51:28 doug Exp $ 
.if n .na
.TH QMERGE 1 "7 November 1997" BDSN
.SH NAME
mssync - apply time correction from a reference MiniSEED file 
to other MiniSEED files.
.SH SYNOPSIS
.B mssync
[\ \fB-r\ \fI ref_file\fR\ ]
[\ \fB-U\fR\ ]
[\ \fB-d\ \fIn\fR\ ]
[\ \fB-h\fR\ ]
.if n .ti +5
[\ \fIinput_file\fR\ [\ \fIoutput_file\fR\ ]\|
\fIfiles\fR
.br...
.SH DESCRIPTION
The program
.B mssync
reads a MiniSEED reference file, determines the time correction for each 
MiniSEED record, and applies those time corrections to other MiniSEED files.
If there are timing problems at a station, you may manually apply the time
corrections to a single channel of data, and use 
.B mssync
to propogate the time correction to the other data channel files.
.P
For each MiniSEED record in the input file, 
.B mssync
will apply the time correction of the MiniSEED record in the reference file
whose uncorrected time is closest to the uncorrected time of the input record.
Any previously applied time corrections found in the input file will be discarded.
.SH OPTIONS
.TP
\fB-r \fIref_file\fR
.br
specifies the name of the reference MiniSEED file that contains the
records with time corrections added.
.TP
\fB-U\fR
updates the input file with time corrections instead of creating a
separate output file.  The input file is actually replaced with a
updated MiniSEED file by the same name.
NOTE: If you use this option, the file list is treated as a list
of MiniSEED files to be updated instead of an optional input and
output file.
.TP
\fB-d \fInum\fR
specifies debugging information should be displayed.  
The debugging values may be added (or ORed) together to specify
more than one debugging option.
Current debugging options are:
.nf
.ta 1.0i
	1 = DEBUG_REF
.fi
.ad
Multiple debugging options can be specified by adding the appropriate values
together.
.TP
.B -h
print out a simple help message with syntax and explaination of the options.
.TP
\fIinput_file\fR
specifies the name of the input MiniSEED file to which time corrections
should be applied.  If no file is specified, read MiniSEED records from stdin.
.TP
\fIoutput_file\fR
specifies the name of the output MiniSEED file to which the time corrected 
records should be applied.  If no file is specified, write MiniSEED records 
to stdout.
.TP
\fIfiles\ ...\fR
.br
is a list of MiniSEED file to be updated with time corrections based
on the reference file.  This is used with the
.B -U
option.
.SH EXAMPLES
.nf
1.  Resync the BKS BHN file to BKS BHZ channel and write to new file.
  mssync -r BKS.BK.BHZ.D.1997.200 BKS.BK.BHN.D.1997.200 BKS.BK.BHN.D.1997.200.new
2.  Resync all BKS HH? files to BKS BHZ channel and update the original files.
  mssync -U r BKS.BK.BHZ.D.1997.200 BKS.BK.HH?.D.1997.200
.SH BUGS
The reference file should generally be the highest sample rate continuous data
channel.  You can use this program to apply time corrections to triggered
data channels at other (higher or lower) rates, and to apply time corrections
to other lower rate channels.
.P
Since the timespan of MiniSEED records may vary
between channels, this program may not always apply the "best" correction to each
record.  You are STRONGLY encouraged to review the results to ensure that you are
satisified with the correction.
.SH AUTHOR
Doug Neuhauser, UC Berkeley Seismological Laboratory, doug@seismo.berkeley.edu.
